Skip to main content
GET
/
sources
/
{sourceKey}
/
v1
/
pipelines
/
executions
/
{pipelineExecutionId}
Get a pipeline execution
curl --request GET \
  --url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/pipelines/executions/{pipelineExecutionId} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "id": "<string>",
  "pipelineDefinitionId": "<string>",
  "status": "SUCCESSFUL",
  "steps": [
    {
      "status": "PROCESSED",
      "error": {
        "code": 400,
        "message": "<string>",
        "type": "ALREADY_EXISTS",
        "details": "<array>"
      },
      "decision": {
        "id": "<string>",
        "author": {
          "id": "<string>",
          "email": "<string>"
        },
        "actedAt": "2023-11-07T05:31:56Z",
        "description": "<string>"
      },
      "processedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "operation": {
    "taskId": "<string>",
    "action": "CREATE",
    "target": {
      "targetType": "RELATIONSHIP",
      "id": "<string>",
      "type": "<string>"
    },
    "body": {}
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "processedOperation": {
    "taskId": "<string>",
    "action": "CREATE",
    "target": {
      "targetType": "RELATIONSHIP",
      "id": "<string>",
      "type": "<string>"
    },
    "body": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The key of the source.

pipelineExecutionId
string
required

The id of the pipeline execution.

Query Parameters

withOperationBody
boolean
default:false

If set to true, the response will include the body of the operation that triggered the pipeline execution and the operation processed by the pipeline. Defaults to false.

Response

Returns the pipeline execution.

id
string
required
read-only

id to refer for a specific pipeline execution.

pipelineDefinitionId
string
required
read-only

versioned id to the related pipeline definition that generated the pipeline execution.

Pattern: ^[a-zA-Z0-9_-]+.[0-9]+$
status
enum<string>
required
read-only

Status of the pipeline execution.

  • SUCCESSFUL: The pipeline execution completed successfully. Every step of the pipeline was executed successfully and the change has been accepted in the system.
  • ERROR: The pipeline execution failed at a step due to a system error.
  • IN_PROGRESS: The pipeline execution is being processed by the system.
  • IN_REVIEW: The pipeline execution is waiting for a manual action. Refer to the ActOnPipelineExecution endpoint.
  • CANCELLED: The pipeline execution has been short-circuited by the system and never completed.
  • DROPPED: The pipeline execution has been dropped because the change has been rejected by the user following review.
Available options:
SUCCESSFUL,
ERROR,
IN_PROGRESS,
IN_REVIEW,
CANCELLED,
DROPPED
steps
object[]
required
read-only
operation
object
required
read-only

The initial operation that triggered the pipeline execution.

createdAt
string<date-time>
required
read-only
updatedAt
string<date-time>
required
read-only
processedOperation
object
read-only

The operation processed by the pipeline. If the pipeline it not completed, it is the output of the last completed step.